@import "../base/variable.scss";
@import "../base/mixins.scss";

.dashboard_section {
    @include clearfix();

    .dashboard_inner {
        .right_side_wrap {
            &.top-space {
                margin-top: 0;
                padding-top: 150px;
            }

            // .heading_area {
            //     padding-left: 60px;
            //     padding-bottom: 36px;
            //     border-bottom: 2px solid $border-gray;
            //     @include clearfix();

            //     h2 {
            //         color: $red;
            //         font-size: 36px;
            //         font-weight: 600;
            //         padding-bottom: 0px;
            //     }

            //     p {
            //         font-size: 18px;
            //         color: $black;
            //         font-weight: 500;
            //         padding-top: 6px;
            //     }

            //     h1 {
            //         color: $primary_color;
            //         font-size: 36px;
            //         font-weight: 600;
            //         padding-bottom: 0px;
            //     }
            // }
            .usage_main{
                .columns_areas {
                    margin-right: 0px;

                    .view_detail_area {
                        padding-top: 70px;
                        padding-bottom: 48px;
                        padding-left: 50px;

                        .left_area {
                            padding-left: 30px;
                            padding-right: 30px;

                            .inner_info {
                                .contact_info {
                                    a {
                                        .mobile_info {
                                            font-size: 18px;
                                            padding-bottom: 5px;
                                            font-weight: 600;
                                            color: $primary_color;
                                        }
                                    }

                                    p {
                                        font-size: 16px;
                                        font-weight: 500;
                                        color: $black;
                                    }
                                }

                                .service_address {
                                    padding-top: 30px;


                                    h3 {

                                        font-size: 18px;
                                        padding-bottom: 18px;
                                        font-weight: 600;
                                        color: $primary_color;
                                    }

                                    a {
                                        .location_info {
                                            font-size: 16px;
                                            font-weight: 500;
                                            color: $black;
                                            padding-bottom: 8px;
                                        }
                                    }

                                    p {
                                        font-size: 16px;
                                        font-weight: 500;
                                        color: $black;
                                    }
                                }

                                .device_info {
                                    padding-top: 30px;

                                    h3 {

                                        font-size: 18px;
                                        padding-bottom: 18px;
                                        font-weight: 600;
                                        color: $primary_color;
                                    }

                                    p {

                                        font-size: 16px;
                                        font-weight: 500;
                                        color: $black;
                                        padding-bottom: 5px;
                                    }
                                }
                            }
                        }

                        .right_area {
                            background-color: $red;
                            border-radius: 15px;
                            padding-top: 40px;
                            padding-bottom: 40px;
                            position: relative;

                            .icon_box {
                                position: absolute;
                                bottom: 0;
                                left: 0;
                                z-index: 1;
                                padding-top: 30px;

                                img {
                                    width: 250px;
                                }
                            }

                            .item {
                                position: relative;
                                z-index: 2;

                                h1 {
                                    font-size: 36px;
                                    color: $white;
                                    padding-bottom: 10px;
                                    font-weight: 600;
                                }

                                p {
                                    font-size: 16px;
                                    color: $white;
                                    padding-bottom: 30px;
                                    // font-weight: 500;
                                }
                            }


                        }
                    }


                }
            }
        }
    }
}





/* Extra Huge large desktops */
@media (min-width: 1920px) {}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px) {}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px) {}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px) {}

@media (min-width: 1200px) and (max-width: 1399px) {}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .dashboard_section {
        @include clearfix();

        .dashboard_inner {
            .right_side_wrap {
                .heading_area {
                    padding-left: 30px;
                    padding-bottom: 36px;

                    @include clearfix();

                    h1 {
                        font-size: 36px;
                    }
                }
                .usage_main{
                    .columns_areas {
                        margin-right: 30px;

                        .view_detail_area {
                            padding-top: 30px;
                            padding-bottom: 48px;
                            padding-left: 10px;

                            .left_area {
                                padding-left: 30px;
                                padding-right: 30px;
                            }

                            .right_area {
                                margin-top: 30px;
                                margin-left: 30px;
                                margin-right: 30px;
                                padding: 40px;
                            }
                        }

                    }
                }
            }
        }
    }

}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .dashboard_section {
        @include clearfix();

        .dashboard_inner {
            .right_side_wrap {
                .heading_area {
                    padding-left: 30px;
                    padding-bottom: 36px;

                    @include clearfix();

                    h1 {
                        font-size: 36px;
                    }
                }
                .usage_main{
                    .columns_areas {
                        margin-right: 30px;

                        .view_detail_area {
                            padding-top: 30px;
                            padding-bottom: 48px;
                            padding-left: 10px;

                            .left_area {
                                padding-left: 30px;
                                padding-right: 30px;
                            }

                            .right_area {
                                margin-top: 30px;
                                margin-left: 30px;
                                margin-right: 30px;
                                padding: 40px;
                            }
                        }

                    }
                }
            }
        }
    }



}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .dashboard_section {
        @include clearfix();

        .dashboard_inner {
            .right_side_wrap {
                .heading_area {
                    padding-left: 30px;
                    padding-bottom: 36px;

                    @include clearfix();

                    h1 {
                        font-size: 36px;
                    }
                }
                .usage_main{
                    .columns_areas {
                        margin-right: 30px;

                        .view_detail_area {
                            padding-top: 30px;
                            padding-bottom: 48px;
                            padding-left: 10px;

                            .left_area {
                                padding-left: 30px;
                                padding-right: 30px;
                            }

                            .right_area {
                                margin-top: 30px;
                                margin-left: 30px;
                                margin-right: 30px;
                                padding: 40px;
                            }
                        }

                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .dashboard_section {
        @include clearfix();

        .dashboard_inner {
            .right_side_wrap {
                .heading_area {
                    padding-left: 20px;
                    padding-bottom: 22px;

                    @include clearfix();

                    h1 {
                        font-size: 30px;
                    }
                }
                .usage_main{
                    .columns_areas {
                        margin-right: 10px;

                        .view_detail_area {
                            padding-top: 30px;
                            padding-bottom: 48px;
                            padding-left: 10px;

                            .left_area {
                                padding-left: 10px;
                                padding-right: 10px;
                            }

                            .right_area {
                                margin-top: 30px;
                                margin-left: 10px;
                                margin-right: 10px;
                                padding: 40px;
                            }
                        }

                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .dashboard_section {
        @include clearfix();

        .dashboard_inner {
            .right_side_wrap {
                .heading_area {
                    padding-left: 20px;
                    padding-bottom: 22px;

                    @include clearfix();

                    h1 {
                        font-size: 30px;
                    }
                }
                .usage_main{
                    .columns_areas {
                        margin-right: 10px;

                        .view_detail_area {
                            padding-top: 30px;
                            padding-bottom: 48px;
                            padding-left: 10px;

                            .left_area {
                                padding-left: 10px;
                                padding-right: 10px;
                            }

                            .right_area {
                                margin-top: 30px;
                                margin-left: 10px;
                                margin-right: 10px;
                                padding: 40px;
                            }
                        }

                    }
                }
            }
        }
    }
}